Skip to content
v2.278.0

QueryParameterProperty Struct ​

An object that represents the query parameter in the request.

Example ​

ts
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
import { aws_appmesh as appmesh } from 'aws-cdk-lib';
const queryParameterProperty: appmesh.CfnGatewayRoute.QueryParameterProperty = {
  name: 'name',

  // the properties below are optional
  match: {
    exact: 'exact',
  },
};
python
# The code below shows an example of how to instantiate this type.
# The values are placeholders you should change.
from aws_cdk import aws_appmesh as appmesh

query_parameter_property = appmesh.CfnGatewayRoute.QueryParameterProperty(
    name="name",

    # the properties below are optional
    match=appmesh.CfnGatewayRoute.HttpQueryParameterMatchProperty(
        exact="exact"
    )
)
java
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
import software.amazon.awscdk.services.appmesh.*;

QueryParameterProperty queryParameterProperty = QueryParameterProperty.builder()
        .name("name")

        // the properties below are optional
        .match(HttpQueryParameterMatchProperty.builder()
                .exact("exact")
                .build())
        .build();
csharp
// Install: dotnet add package Amazon.CDK.Lib
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
using Amazon.CDK.AWS.AppMesh;

var queryParameterProperty = new QueryParameterProperty {
    Name = "name",

    // the properties below are optional
    Match = new HttpQueryParameterMatchProperty {
        Exact = "exact"
    }
};
go
// Install: go get github.com/aws/aws-cdk-go/awscdk/v2
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
import "github.com/aws/aws-cdk-go/awscdk"

queryParameterProperty := &QueryParameterProperty{
	Name: jsii.String("name"),

	// the properties below are optional
	Match: &HttpQueryParameterMatchProperty{
		Exact: jsii.String("exact"),
	},
}

Properties ​

matchoptionalIResolvable | CfnGatewayRoute.HttpQueryParameterMatchPropertymatchoptionaltyping.Union[IResolvable, HttpQueryParameterMatchProperty]matchoptionalIResolvableMatchoptionalIResolvableMatchoptionalinterface{} #
The query parameter to match on.
namestringnamestrnameStringNamestringName*string required #
A name for the query parameter that will be matched on.